mbed_host_tests.host_tests_runner.host_test.HostTestResults Class Reference

Test results set by host tests. More...

Inheritance diagram for mbed_host_tests.host_tests_runner.host_test.HostTestResults:

## Public Member Functions

def | enum (self, enums)
def | __init__ (self)
def | get_test_result_int (self, test_result_str)
| Maps test result string to unique integer. More...
def | __getitem__ (self, test_result_str)
| Returns numerical result code. More...

## Public Attributes

| TestResults
| TestResultsList

## Detailed Description

Test results set by host tests.

Definition at line 25 of file host_test.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_runner.host_test.HostTestResults.__init__ | ( |  | self | ) |

Definition at line 31 of file host_test.py.

## Member Function Documentation

## __getitem__()

def mbed_host_tests.host_tests_runner.host_test.HostTestResults.__getitem__ | ( |  | self,
|  |  | test_result_str
| ) |  |

Returns numerical result code.

Definition at line 82 of file host_test.py.

## enum()

def mbed_host_tests.host_tests_runner.host_test.HostTestResults.enum | ( |  | self,
|  |  | enums
| ) |  |

Definition at line 28 of file host_test.py.

## get_test_result_int()

def mbed_host_tests.host_tests_runner.host_test.HostTestResults.get_test_result_int | ( |  | self,
|  |  | test_result_str
| ) |  |

Maps test result string to unique integer.

Definition at line 76 of file host_test.py.

## Member Data Documentation

## TestResults

mbed_host_tests.host_tests_runner.host_test.HostTestResults.TestResults

Definition at line 32 of file host_test.py.

## TestResultsList

mbed_host_tests.host_tests_runner.host_test.HostTestResults.TestResultsList

Definition at line 58 of file host_test.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_runner/host_test.py